Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.swt
Interface ISWTObservableValue

All Superinterfaces:
  IObservable, IObservableValue, ISWTObservable

    public interface ISWTObservableValue

extends ISWTObservable, IObservableValue

`IObservableValue` observing an SWT widget.

Since:
  1.1

Method Summary

Methods inherited from interface org.eclipse.jface.databinding.swt.ISWTObservable
`getWidget`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from interface org.eclipse.core.databinding.observable.value.IObservableValue
`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.